# Get a product

Fetches a product. Works with Meta Ads.

```http
GET https://api.pozy.ai/v1/ads/catalogs/{catalogId}/products/{productId}
```

- Area: Ads / Product Catalogs
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `catalogId` (string, required)
- `productId` (string, required)

## Query parameters

- `accountId` (string, required)
- `catalogAccountId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/products/659773d34b353e6821202f21?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/products/659773d34b353e6821202f21?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/products/659773d34b353e6821202f21",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `product`, object
  - `id`, string
  - `retailerId`, string: Can be null
  - `name`, string
  - `description`, string: Can be null
  - `url`, string: Can be null
  - `imageUrl`, string: Can be null
  - `additionalImageUrls`, array of string
  - `price`, string: Can be null
  - `salePrice`, string: Can be null
  - `currency`, string: Can be null
  - `availability`, string: Can be null
  - `condition`, string: Can be null
  - `brand`, string: Can be null
  - `category`, string: Can be null
  - `productType`, string: Can be null
  - `gtin`, string: Can be null
  - `inventory`, integer: Can be null
  - `visibility`, string: Can be null
  - `color`, string: Can be null
  - `size`, string: Can be null
  - `gender`, string: Can be null
  - `material`, string: Can be null
  - `pattern`, string: Can be null
  - `customLabels`, array of string: Each item: can be null
  - `reviewStatus`, string: Can be null
  - `reviewRejectionReasons`, array of string

```json
{
  "product": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "retailerId": "62ed28b157a658d89f9173aa",
    "name": "Acme",
    "description": "A short description",
    "url": "https://pozy.ai/media/example-1.jpg",
    "imageUrl": "https://pozy.ai/media/example-1.jpg",
    "additionalImageUrls": [
      "https://pozy.ai/media/example-1.jpg"
    ],
    "price": "string",
    "salePrice": "string",
    "currency": "USD",
    "availability": "string",
    "condition": "string",
    "brand": "string",
    "category": "string",
    "productType": "string",
    "gtin": "string",
    "inventory": 1,
    "visibility": "string",
    "color": "string",
    "size": "string",
    "gender": "string",
    "material": "string",
    "pattern": "string",
    "customLabels": [
      "string"
    ],
    "reviewStatus": "active",
    "reviewRejectionReasons": [
      "string"
    ]
  }
}
```
